std::exception Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::exception:
[legend]

## Public Member Functions

virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Base class for all library exceptions.

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 60 of file exception.h.

The documentation for this class was generated from the following file:

- exception.h